Bug 965590 - [rfe] Provide method to detect empty Container
[rfe] Provide method to detect empty Container
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-nitrate (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šplíchal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 07:50 EDT by Lukas Zachar
Modified: 2016-05-31 21:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:11:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zachar 2013-05-21 07:50:12 EDT
Description of problem:

Please provide a way to query whether nitrate.Container is empty. 

My typical use case is to call method on every item but it is difficult to warn user that nothing can be processed.

I'd like to be able to do something similar to:
if nitrate.Collection.is_empty(): log.warning("Nothing to process here")
for item in nitrate.Collection: process(item)

In the current state I need to use private property _items, which feels like a workaround and IMHO should be avoided:
if not nitrate.Collection._items: log.warning("Nothing to process here")
Comment 1 Petr Šplíchal 2013-10-29 13:17:11 EDT
This should be fixed as Container class now provides number of
items included (which is used when converting into bool):

https://github.com/psss/python-nitrate/commit/5661b106

>>> case = TestCase(101398)
>>> print case.tags
'test'
>>> bool(case.tags)
True
>>> case.tags.remove(Tag('test'))
>>> bool(case.tags)
False
Comment 2 Fedora End Of Life 2015-01-09 17:33:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-18 06:11:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.